package com.sundot.airport.exam.logic.manage.model.result;

import cn.hutool.core.date.DatePattern;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * <b>功能名：</b>QuesCatPageResult<br>
 * <b>说明：</b> 题目分类表分页列表返回参数 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-17 liangxiao
 */
public class QuesCatPageResult {

    /**
     * 业务主键
     */
    private String qcId;

    /**
     * 分类名称
     */
    private String qcName;

    /**
     * 逻辑删除（0否1是）
     */
    private Integer delStatus;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = DatePattern.NORM_DATETIME_PATTERN, timezone = "GMT+8")
    private Date createTime;

    /**
     * 创建人
     */
    private String createUid;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = DatePattern.NORM_DATETIME_PATTERN, timezone = "GMT+8")
    private Date updateTime;

    /**
     * 更新人
     */
    private String updateUid;

    /**
     * 题干分类下题目数
     */
    private Integer quesCount;

    public String getQcId() {
        return qcId;
    }

    public void setQcId(String qcId) {
        this.qcId = qcId;
    }

    public String getQcName() {
        return qcName;
    }

    public void setQcName(String qcName) {
        this.qcName = qcName;
    }

    public Integer getDelStatus() {
        return delStatus;
    }

    public void setDelStatus(Integer delStatus) {
        this.delStatus = delStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUid() {
        return createUid;
    }

    public void setCreateUid(String createUid) {
        this.createUid = createUid;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUid() {
        return updateUid;
    }

    public void setUpdateUid(String updateUid) {
        this.updateUid = updateUid;
    }

    public Integer getQuesCount() {
        return quesCount;
    }

    public void setQuesCount(Integer quesCount) {
        this.quesCount = quesCount;
    }

    @Override
    public String toString() {
        return "QuesCatPageResult{" +
                "qcId='" + qcId + '\'' +
                ", qcName='" + qcName + '\'' +
                ", delStatus=" + delStatus +
                ", createTime=" + createTime +
                ", createUid='" + createUid + '\'' +
                ", updateTime=" + updateTime +
                ", updateUid='" + updateUid + '\'' +
                ", quesCount=" + quesCount +
                '}';
    }
}
